### Function

# GLib log_set_default_handler

since: 2.6

#### Declaration

    GLogFunc
    g_log_set_default_handler (
      GLogFunc log_func,
      gpointer user_data
    )

#### Description

Installs a default log handler which is used if no log handler has been set for the particular log domain and log level combination.

By default, GLib uses `g_log_default_handler()` as default log handler.

This has no effect if structured logging is enabled; see Using Structured Logging.

Available since: 2.6

This function is not directly available to language bindings.

#### Parameters

`log_func`

  Type: `GLogFunc`

  The log handler function.

`user_data`

  Type: `gpointer`

  Data passed to the log handler.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GLogFunc`

The previous default log handler.